<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class SUPER_Controller extends Controller {
    function SUPER_Controller()
    {
        parent::Controller();
        
        $this->load->helper('MY_url');
        
        // 共通の処理をここに書く
        // ...
        
        $this->load->library('phpsession');
        
        // 設定をロードし、セッションに保存する。
        //$system = $this->phpsession->get('system');
        //if ($system != null)
        //{
            $system = array();
            $query = $this->db->get('system');
            foreach ($query->result() as $row)
            {
                $system[$row->name] = $row->value;
            }
            $this->phpsession->save('system', $system);
        //}
        
        $super = $this->phpsession->get('super');
        if (is_null($super))
        {
            // システム管理者ログインページへ
            if (isset($system['ssl']) && $system['ssl'] == 'true')
            {
                redirect('super/login', 'location', 302, true);
            }
            else
            {
                redirect('super/login');
            }
        }
        $box['loginbox'][1] = '<a href="' . site_url('super/login/logout') . '">ログアウト</a>';
        $this->load->vars($box);
    }
}
?>